import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('身長.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み
print('csv_data =\n', csv_data)
names = [v for v in csv_data.keys()]    #   キーのリスト
print('names =\n', names)
data = csv_data.values                  #    データのndarray
print('data =\n', data)

plt.title('身長：20歳～29歳', fontsize = 20)
cntnr = plt.bar(names[1:], data[0][1:],        #   バーの名前と値
        color = ['lime', 'aqua'],              #   バーの色
        edgecolor = 'k',                       #   バーの枠の色
        width = 0.5,                           #   バーの幅
        linewidth = 3,                         #   バーの枠の線幅
        yerr = data[1][1:], capsize = 20,      #   エラーバーの長さ（標準偏差）とキャップの長さ
        error_kw ={'linewidth':10},            #   エラーバーの線幅
        ecolor='r')                            #   エラーバーの色
#   上で作成した棒グラフの情報cntnrのバーにラベルを付ける
plt.bar_label(cntnr, [f'{v}' for v in data[0][1:]],
              label_type = 'center', fontsize = 20)
plt.xticks(fontsize = 20)
plt.yticks(fontsize = 14)
plt.show()
