import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib                      #   日本語表示用モジュール

with open('最高最低気温20231127.csv', 'r') as f:
    csv_data = pd.read_csv(f)                   #   CSVファイルの読み込み

maxs = csv_data['最高気温'].values              #   キー「最高気温」のデータの取り出し
print('min_v =', np.min(maxs), '   max_v =', np.max(maxs))

v_bins = np.arange(-5, 31, 5)                   #   bin境界値の設定
print('v_bins =\n', v_bins)
results = plt.hist(maxs, bins = v_bins)         #   ヒストグラムの描画
plt.title('最高気温', fontsize=20)
plt.xlabel('℃', fontsize=14)
plt.ylabel('度数', fontsize=14)
plt.show()
print('results =\n', results)                   #   bin情報の出力

