import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('最高最低気温20231127.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み

maxs = csv_data['最高気温'].values      #   キー「最高気温」データの取り出し
mins = csv_data['最低気温'].values      #   キー「最低気温」データの取り出し
print('min(maxs) =', np.min(maxs), '   max(maxs) =', np.max(maxs))
print('min(mins) =', np.min(mins), '   max(mins) =', np.min(mins))
v_bins = np.arange(-15, 31, 5)
print('v_bins =\n', v_bins)
plt.title('最高気温と最低気温', fontsize=16)
results = plt.hist(                                   #   bin情報をresultsに返す
                   [maxs, mins],                      #   表示データのリスト
                   label = ['最高気温', '最低気温'],  #   表示データラベルのリスト
                   color = ['orange', 'b'],           #   表示データの色
                   bins = v_bins)                     #   binの境界値のリスト
plt.xlabel('℃', fontsize=16)
plt.ylabel('度数', fontsize=16)
plt.legend(fontsize=14)                 #   ラベルの表示
plt.show()
print('results =\n', results)           #   resultsの出力
