import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('最高最低気温20231127.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み

maxs = csv_data['最高気温'].values
print('maxs =\n', maxs[:5], maxs[-5:])
print('min(maxs) =', np.min(maxs), '   max(maxs) =', np.max(maxs))
mins = csv_data['最低気温'].values
print('mins =\n', mins[:5], mins[-5:])
print('min(mins) =', np.min(mins),'   max{mins) =', np.max(mins))
v_bins = np.arange(-15,31,5)

plt.figure(figsize = (5,7))              #   描画画面のサイズ、縦長
ax1 = plt.subplot(2, 1, 1)               #   描画画面を２行１列に区切った１番目の領域
ax1.set_title('最高気温', fontsize=20)
ax1.set_xlabel('℃', fontsize=16)
ax1.set_ylabel('度数', fontsize=16)
results1=ax1.hist(maxs, bins=v_bins, color = 'orange') 
ax1.plot([], 's', c = 'orange', label = '最高気温')      #     空リストは何も表示しない
ax1.legend(fontsize = 16)

ax2 = plt.subplot(212, sharex = ax1)      #   描画画面を２行１列に区切った２番目の領域
ax2.set_title('最低気温', fontsize=20)
ax2.set_xlabel('℃', fontsize=16)
ax2.set_ylabel('度数', fontsize=16)
results2=ax2.hist(mins, bins = v_bins, color = 'cyan')
ax2.plot([], 's', c = 'cyan', label='最低気温')
plt.legend(fontsize=16)
plt.tight_layout()                         #   描画画面内に納まるように調整
plt.show()
print('results1 =\n', results1)
print('results2 =\n', results2)

