import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('最高最低気温20231127.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み
    
print('csv_data =\n', csv_data)
names = [v for v in csv_data.keys()]    #   キーのリスト
print('names =\n', names)
data = csv_data.values                  #    データのndarray
print('data =\n', data)

maxs = csv_data['最高気温'].values
print('maxs =\n', maxs[:5], maxs[-5:])
print('min(maxs) =', np.min(maxs), '   max(maxs) =', np.max(maxs))
mins = csv_data['最低気温'].values
print('mins =\n', mins[:5], mins[-5:])
print('min(mins) =', np.min(mins),'   max{mins) =', np.max(mins))
v_bins = np.arange(-15,31,5)
plt.figure(figsize = (7,5))
fig, (ax1, ax2) = plt.subplots(1,2, sharey=True)
fig.suptitle('2023年11月27日の気温', fontsize=20)
ax1.set_title('最低気温', fontsize=18)
ax1.set_ylabel('℃', fontsize=16)
ax1.set_xlabel('度数', fontsize=16)
results2=ax1.hist(mins, bins = v_bins, orientation = 'horizontal',
                  color = 'cyan')
ax1.plot([], 's', c = 'cyan', label='最低気温')
ax1.legend(fontsize=16)

ax2.set_title('最高気温', fontsize=18)
ax2.set_xlabel('度数', fontsize=16)
results1=ax2.hist(maxs, bins=v_bins,
                  orientation = 'horizontal', color = 'orange')
ax2.plot([], 's', c = 'orange', label = '最高気温')
ax2.legend(fontsize = 16)

fig.tight_layout()
fig.show()
print('results1 =\n', results1)
print('results2 =\n', results2)
