import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('Tokyo2022.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み

means = csv_data['平均気温'].values
print('means =\n', means)
maxs = csv_data['最高気温'].values
print('maximums =\n', maxs)
mins = csv_data['最低気温'].values
print('minimums =\n', mins)

plt.title('東京の気温（2022年）', fontsize = 24)
months = [f'{v}月' for v in range(1,13)]
plt.plot(months, maxs, 'r', linewidth = 2, label = '最高気温')
plt.plot(months, means, 'k', linewidth = 3, label = '平均気温')
plt.plot(months, mins, 'cyan', linewidth = 2, label = '最低気温')
plt.hlines(0, '1月', '12月', linestyle = '--', color = 'cyan')
plt.hlines(35, '1月', '12月', linestyle = '--', color = 'r')
plt.ylabel('℃', fontsize = 16)
plt.legend()
plt.show()
