import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('最高最低気温20231127.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み

maxs = csv_data['最高気温'].values
mins = csv_data['最低気温'].values

#      描画画面の作成
fig = plt.figure(figsize=(7,7))

#     描画画面を３行３列のグリッドとして、
# 　　０行目、０列目から２行１列の領域を、座標ax1とする
ax1 = plt.subplot2grid((3,3), (0,0), rowspan=2, colspan=1,)

#     描画画面を３行３列のグリッドとして、
# 　　０行目、１列目から２行２列の領域を、座標ax2とする
#     Y座標はax1と共通とする
ax2 = plt.subplot2grid((3,3), (0,1), rowspan=2, colspan=2, sharey=ax1)

#     描画画面を３行３列のグリッドとして、
# 　　２行目、１列目から１行２列の領域を、座標ax3とする
#     X座標はax2と共通とする
ax3 = plt.subplot2grid((3,3), (2,1), rowspan=1, colspan=2, sharex = ax2)

ax1.hist(maxs, orientation='horizontal', bins=np.arange(-5, 31, 5))
ax2.plot(mins, maxs, marker='o', linewidth=0, fillstyle='none')
ax2.set_xlabel('最低気温', fontsize=16)
ax2.set_ylabel('最高気温', fontsize=16)
ax3.hist(mins, bins=np.arange(-15, 26, 5))

fig.suptitle('最低気温と最高気温', fontsize=20)
fig.tight_layout()
fig.show()

